### Enumeration

# Gio SubprocessFlags

since: 2.40

#### Declaration

    flags Gio.SubprocessFlags

#### Description

Flags to define the behaviour of a `GSubprocess`.

Note that the default for stdin is to redirect from `/dev/null`. For stdout and stderr the default are for them to inherit the corresponding descriptor from the calling process.

Note that it is a programmer error to mix ‘incompatible’ flags. For example, you may not request both `G_SUBPROCESS_FLAGS_STDOUT_PIPE` and `G_SUBPROCESS_FLAGS_STDOUT_SILENCE`.

Available since: 2.40

#### Members

`G_SUBPROCESS_FLAGS_NONE`

  No flags.

  - Value: `0`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_STDIN_PIPE`

  Create a pipe for the stdin of the spawned process that can be accessed with g_subprocess_get_stdin_pipe().

  - Value: `1`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_STDIN_INHERIT`

  Stdin is inherited from the calling process.

  - Value: `2`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_STDOUT_PIPE`

  Create a pipe for the stdout of the spawned process that can be accessed with g_subprocess_get_stdout_pipe().

  - Value: `4`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_STDOUT_SILENCE`

  Silence the stdout of the spawned process (ie: redirect to `/dev/null`).

  - Value: `8`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_STDERR_PIPE`

  Create a pipe for the stderr of the spawned process that can be accessed with g_subprocess_get_stderr_pipe().

  - Value: `16`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_STDERR_SILENCE`

  Silence the stderr of the spawned process (ie: redirect to `/dev/null`).

  - Value: `32`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_STDERR_MERGE`

  Merge the stderr of the spawned process with whatever the stdout happens to be. This is a good way of directing both streams to a common log file, for example.

  - Value: `64`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_INHERIT_FDS`

  Spawned processes will inherit the file descriptors of their parent, unless those descriptors have been explicitly marked as close-on-exec. This flag has no effect over the “standard” file descriptors (stdin, stdout, stderr).

  - Value: `128`
  - Available since: 2.40
`G_SUBPROCESS_FLAGS_SEARCH_PATH_FROM_ENVP`

  If path searching is needed when spawning the subprocess, use the `PATH` in the launcher environment. (Since: 2.72).

  - Value: `256`
  - Available since: 2.40